from django.contrib import admin

from .models import Profile, ProfileField
from .models import SmartProxy
from .models import Host, HostGroup, ConfigFile, ProfileAction


class HostAdmin(admin.ModelAdmin):
    list_display = ('hostname', 'mac', 'group')
    search_fields = ('hostname', )
    ordering = ('group', )


class ProfilesAdmin(admin.ModelAdmin):
    filter_horizontal = ('profile_fields', )


class ProfilesFieldAdmin(admin.ModelAdmin):
    list_display = ('field_name', 'field', 'widget', 'visible_in')


admin.site.register(SmartProxy)
admin.site.register(Profile, ProfilesAdmin)
admin.site.register(ProfileField, ProfilesFieldAdmin)
admin.site.register(Host, HostAdmin)
admin.site.register(HostGroup)
admin.site.register(ConfigFile)
admin.site.register(ProfileAction)
