# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'PuppetMaster'
        db.create_table(u'pxetool_puppetmaster', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hostname', self.gf('django.db.models.fields.CharField')(default='localhost', max_length=255, db_index=True)),
            ('port', self.gf('django.db.models.fields.IntegerField')(default=8140)),
            ('version', self.gf('django.db.models.fields.CharField')(default='v1', max_length=2)),
            ('ca_content', self.gf('django.db.models.fields.TextField')()),
            ('cert_content', self.gf('django.db.models.fields.TextField')()),
            ('key_content', self.gf('django.db.models.fields.TextField')()),
            ('status', self.gf('django.db.models.fields.CharField')(default='Ok', max_length=5)),
        ))
        db.send_create_signal('pxetool', ['PuppetMaster'])

        # Adding model 'Installation'
        db.create_table(u'pxetool_installation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], null=True, on_delete=models.SET_NULL)),
            ('uuid', self.gf('django.db.models.fields.CharField')(unique=True, max_length=36)),
            ('profile', self.gf('django.db.models.fields.related.ForeignKey')(related_name='installation', null=True, on_delete=models.SET_NULL, to=orm['pxetool.Profile'])),
            ('profile_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.related.ForeignKey')(related_name='installations', to=orm['pxetool.Host'])),
            ('status', self.gf('django.db.models.fields.CharField')(default='unknown', max_length=20)),
            ('profile_params', self.gf('jsonfield.fields.JSONField')(null=True)),
            ('smart_proxy', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['pxetool.SmartProxy'], null=True, on_delete=models.SET_NULL)),
        ))
        db.send_create_signal('pxetool', ['Installation'])

        # Adding model 'InstallationFile'
        db.create_table(u'pxetool_installationfile', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('install', self.gf('django.db.models.fields.related.ForeignKey')(related_name='files', to=orm['pxetool.Installation'])),
            ('filename', self.gf('django.db.models.fields.CharField')(max_length=255, db_index=True)),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=20, null=True)),
            ('content', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('pxetool', ['InstallationFile'])

        # Adding model 'InstallLog'
        db.create_table(u'pxetool_installlog', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('installation', self.gf('django.db.models.fields.related.ForeignKey')(related_name='logs', to=orm['pxetool.Installation'])),
            ('status_from', self.gf('django.db.models.fields.CharField')(default='unknown', max_length=20)),
            ('status_to', self.gf('django.db.models.fields.CharField')(default='unknown', max_length=20)),
            ('action', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal('pxetool', ['InstallLog'])

        # Adding model 'LogFile'
        db.create_table(u'pxetool_logfile', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('installation', self.gf('django.db.models.fields.related.ForeignKey')(related_name='log_file', to=orm['pxetool.Installation'])),
            ('filename', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('content', self.gf('django.db.models.fields.TextField')(blank=True)),
        ))
        db.send_create_signal('pxetool', ['LogFile'])

        # Adding model 'InstallAction'
        db.create_table(u'pxetool_installaction', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('install', self.gf('django.db.models.fields.related.ForeignKey')(related_name='actions', to=orm['pxetool.Installation'])),
            ('status', self.gf('django.db.models.fields.CharField')(default='unknown', max_length=20)),
            ('action', self.gf('django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal('pxetool', ['InstallAction'])

        # Adding unique constraint on 'InstallAction', fields ['install', 'action']
        db.create_unique(u'pxetool_installaction', ['install_id', 'action'])

        # Adding model 'HostGroup'
        db.create_table(u'pxetool_hostgroup', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('smart_proxy', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['pxetool.SmartProxy'])),
            ('group_fields', self.gf('jsonfield.fields.JSONField')(null=True)),
            ('source', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['pxetool.HostSource'], null=True, on_delete=models.SET_NULL)),
            ('source_params', self.gf('jsonfield.fields.JSONField')(null=True)),
        ))
        db.send_create_signal('pxetool', ['HostGroup'])

        # Adding model 'Host'
        db.create_table(u'pxetool_host', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hostname', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('mac', self.gf('django.db.models.fields.CharField')(unique=True, max_length=17)),
            ('profile', self.gf('django.db.models.fields.related.ForeignKey')(related_name='host', null=True, to=orm['pxetool.Profile'])),
            ('profile_params', self.gf('jsonfield.fields.JSONField')(null=True)),
            ('installation', self.gf('django.db.models.fields.related.ForeignKey')(related_name='+', null=True, to=orm['pxetool.Installation'])),
            ('group', self.gf('django.db.models.fields.related.ForeignKey')(related_name='hosts', to=orm['pxetool.HostGroup'])),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('source', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['pxetool.HostSource'], null=True, on_delete=models.SET_NULL)),
        ))
        db.send_create_signal('pxetool', ['Host'])

        # Adding unique constraint on 'Host', fields ['hostname', 'group']
        db.create_unique(u'pxetool_host', ['hostname', 'group_id'])

        # Adding model 'HostSource'
        db.create_table(u'pxetool_hostsource', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('url', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('type', self.gf('django.db.models.fields.CharField')(default='inventory', max_length=10)),
            ('auth_data', self.gf('jsonfield.fields.JSONField')(null=True)),
            ('enable', self.gf('django.db.models.fields.BooleanField')(default=True)),
        ))
        db.send_create_signal('pxetool', ['HostSource'])

        # Adding model 'ProfileField'
        db.create_table(u'pxetool_profilefield', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('field_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('field', self.gf('django.db.models.fields.CharField')(default='CharField', max_length=50)),
            ('widget', self.gf('django.db.models.fields.CharField')(max_length=50, null=True)),
            ('params', self.gf('jsonfield.fields.JSONField')()),
            ('visible_in', self.gf('django.db.models.fields.CharField')(default='None', max_length=12)),
        ))
        db.send_create_signal('pxetool', ['ProfileField'])

        # Adding model 'Profile'
        db.create_table(u'pxetool_profile', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('kernel', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
            ('initrd', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
        ))
        db.send_create_signal('pxetool', ['Profile'])

        # Adding M2M table for field profile_fields on 'Profile'
        db.create_table(u'pxetool_profile_profile_fields', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('profile', models.ForeignKey(orm['pxetool.profile'], null=False)),
            ('profilefield', models.ForeignKey(orm['pxetool.profilefield'], null=False))
        ))
        db.create_unique(u'pxetool_profile_profile_fields', ['profile_id', 'profilefield_id'])

        # Adding model 'ConfigFile'
        db.create_table(u'pxetool_configfile', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('filename', self.gf('django.db.models.fields.CharField')(max_length=255, db_index=True)),
            ('content', self.gf('django.db.models.fields.TextField')(null=True)),
            ('profile', self.gf('django.db.models.fields.related.ForeignKey')(related_name='files', to=orm['pxetool.Profile'])),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=20, null=True)),
        ))
        db.send_create_signal('pxetool', ['ConfigFile'])

        # Adding model 'ProfileAction'
        db.create_table(u'pxetool_profileaction', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('profile', self.gf('django.db.models.fields.related.ForeignKey')(related_name='actions', to=orm['pxetool.Profile'])),
            ('status', self.gf('django.db.models.fields.CharField')(default='unknown', max_length=20)),
            ('action', self.gf('django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal('pxetool', ['ProfileAction'])

        # Adding unique constraint on 'ProfileAction', fields ['profile', 'action']
        db.create_unique(u'pxetool_profileaction', ['profile_id', 'action'])

        # Adding model 'SmartProxy'
        db.create_table(u'pxetool_smartproxy', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hostname', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('username', self.gf('django.db.models.fields.CharField')(default='root', max_length=64)),
            ('pxetool_url', self.gf('django.db.models.fields.CharField')(default='http://localhost:8000', max_length=2048)),
            ('tftpboot', self.gf('django.db.models.fields.CharField')(default='/var/lib/tftpboot', max_length=255)),
            ('port', self.gf('django.db.models.fields.IntegerField')(default=22)),
        ))
        db.send_create_signal('pxetool', ['SmartProxy'])


    def backwards(self, orm):
        # Removing unique constraint on 'ProfileAction', fields ['profile', 'action']
        db.delete_unique(u'pxetool_profileaction', ['profile_id', 'action'])

        # Removing unique constraint on 'Host', fields ['hostname', 'group']
        db.delete_unique(u'pxetool_host', ['hostname', 'group_id'])

        # Removing unique constraint on 'InstallAction', fields ['install', 'action']
        db.delete_unique(u'pxetool_installaction', ['install_id', 'action'])

        # Deleting model 'PuppetMaster'
        db.delete_table(u'pxetool_puppetmaster')

        # Deleting model 'Installation'
        db.delete_table(u'pxetool_installation')

        # Deleting model 'InstallationFile'
        db.delete_table(u'pxetool_installationfile')

        # Deleting model 'InstallLog'
        db.delete_table(u'pxetool_installlog')

        # Deleting model 'LogFile'
        db.delete_table(u'pxetool_logfile')

        # Deleting model 'InstallAction'
        db.delete_table(u'pxetool_installaction')

        # Deleting model 'HostGroup'
        db.delete_table(u'pxetool_hostgroup')

        # Deleting model 'Host'
        db.delete_table(u'pxetool_host')

        # Deleting model 'HostSource'
        db.delete_table(u'pxetool_hostsource')

        # Deleting model 'ProfileField'
        db.delete_table(u'pxetool_profilefield')

        # Deleting model 'Profile'
        db.delete_table(u'pxetool_profile')

        # Removing M2M table for field profile_fields on 'Profile'
        db.delete_table('pxetool_profile_profile_fields')

        # Deleting model 'ConfigFile'
        db.delete_table(u'pxetool_configfile')

        # Deleting model 'ProfileAction'
        db.delete_table(u'pxetool_profileaction')

        # Deleting model 'SmartProxy'
        db.delete_table(u'pxetool_smartproxy')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'pxetool.configfile': {
            'Meta': {'object_name': 'ConfigFile'},
            'content': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'files'", 'to': "orm['pxetool.Profile']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'})
        },
        'pxetool.host': {
            'Meta': {'ordering': "('hostname',)", 'unique_together': "(('hostname', 'group'),)", 'object_name': 'Host'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'hosts'", 'to': "orm['pxetool.HostGroup']"}),
            'hostname': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'null': 'True', 'to': "orm['pxetool.Installation']"}),
            'mac': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '17'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'host'", 'null': 'True', 'to': "orm['pxetool.Profile']"}),
            'profile_params': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.HostSource']", 'null': 'True', 'on_delete': 'models.SET_NULL'})
        },
        'pxetool.hostgroup': {
            'Meta': {'object_name': 'HostGroup'},
            'group_fields': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'smart_proxy': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.SmartProxy']"}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.HostSource']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'source_params': ('jsonfield.fields.JSONField', [], {'null': 'True'})
        },
        'pxetool.hostsource': {
            'Meta': {'object_name': 'HostSource'},
            'auth_data': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'enable': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'inventory'", 'max_length': '10'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'pxetool.installaction': {
            'Meta': {'unique_together': "(('install', 'action'),)", 'object_name': 'InstallAction'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'install': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'actions'", 'to': "orm['pxetool.Installation']"}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'})
        },
        'pxetool.installation': {
            'Meta': {'ordering': "('-pk',)", 'object_name': 'Installation'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'host': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'installations'", 'to': "orm['pxetool.Host']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'installation'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['pxetool.Profile']"}),
            'profile_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'profile_params': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'smart_proxy': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.SmartProxy']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'uuid': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '36'})
        },
        'pxetool.installationfile': {
            'Meta': {'object_name': 'InstallationFile'},
            'content': ('django.db.models.fields.TextField', [], {}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'install': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'files'", 'to': "orm['pxetool.Installation']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'})
        },
        'pxetool.installlog': {
            'Meta': {'ordering': "('created',)", 'object_name': 'InstallLog'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'logs'", 'to': "orm['pxetool.Installation']"}),
            'status_from': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'status_to': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'pxetool.logfile': {
            'Meta': {'ordering': "('-pk',)", 'object_name': 'LogFile'},
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'log_file'", 'to': "orm['pxetool.Installation']"}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'pxetool.profile': {
            'Meta': {'object_name': 'Profile'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initrd': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'profile_fields': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'profiles'", 'symmetrical': 'False', 'to': "orm['pxetool.ProfileField']"})
        },
        'pxetool.profileaction': {
            'Meta': {'unique_together': "(('profile', 'action'),)", 'object_name': 'ProfileAction'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'actions'", 'to': "orm['pxetool.Profile']"}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'})
        },
        'pxetool.profilefield': {
            'Meta': {'object_name': 'ProfileField'},
            'field': ('django.db.models.fields.CharField', [], {'default': "'CharField'", 'max_length': '50'}),
            'field_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'params': ('jsonfield.fields.JSONField', [], {}),
            'visible_in': ('django.db.models.fields.CharField', [], {'default': "'None'", 'max_length': '12'}),
            'widget': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True'})
        },
        'pxetool.puppetmaster': {
            'Meta': {'object_name': 'PuppetMaster'},
            'ca_content': ('django.db.models.fields.TextField', [], {}),
            'cert_content': ('django.db.models.fields.TextField', [], {}),
            'hostname': ('django.db.models.fields.CharField', [], {'default': "'localhost'", 'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key_content': ('django.db.models.fields.TextField', [], {}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '8140'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'Ok'", 'max_length': '5'}),
            'version': ('django.db.models.fields.CharField', [], {'default': "'v1'", 'max_length': '2'})
        },
        'pxetool.smartproxy': {
            'Meta': {'object_name': 'SmartProxy'},
            'hostname': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '22'}),
            'pxetool_url': ('django.db.models.fields.CharField', [], {'default': "'http://localhost:8000'", 'max_length': '2048'}),
            'tftpboot': ('django.db.models.fields.CharField', [], {'default': "'/var/lib/tftpboot'", 'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'default': "'root'", 'max_length': '64'})
        }
    }

    complete_apps = ['pxetool']