# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'Installation.ip'
        db.add_column(u'pxetool_installation', 'ip',
                      self.gf('django.db.models.fields.CharField')(max_length=45, null=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'Installation.ip'
        db.delete_column(u'pxetool_installation', 'ip')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'pxetool.configfile': {
            'Meta': {'object_name': 'ConfigFile'},
            'content': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'files'", 'to': "orm['pxetool.Profile']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'})
        },
        'pxetool.host': {
            'Meta': {'ordering': "('hostname',)", 'unique_together': "(('hostname', 'group'),)", 'object_name': 'Host'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'hosts'", 'to': "orm['pxetool.HostGroup']"}),
            'hostname': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'null': 'True', 'to': "orm['pxetool.Installation']"}),
            'mac': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '17'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'host'", 'null': 'True', 'to': "orm['pxetool.Profile']"}),
            'profile_params': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.HostSource']", 'null': 'True', 'on_delete': 'models.SET_NULL'})
        },
        'pxetool.hostgroup': {
            'Meta': {'object_name': 'HostGroup'},
            'group_fields': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'smart_proxy': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.SmartProxy']"}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.HostSource']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'source_params': ('jsonfield.fields.JSONField', [], {'null': 'True'})
        },
        'pxetool.hostsource': {
            'Meta': {'object_name': 'HostSource'},
            'auth_data': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'enable': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'inventory'", 'max_length': '10'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'pxetool.installaction': {
            'Meta': {'unique_together': "(('install', 'action'),)", 'object_name': 'InstallAction'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'install': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'actions'", 'to': "orm['pxetool.Installation']"}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'})
        },
        'pxetool.installation': {
            'Meta': {'ordering': "('-pk',)", 'object_name': 'Installation'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'host': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'installations'", 'to': "orm['pxetool.Host']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ip': ('django.db.models.fields.CharField', [], {'max_length': '45', 'null': 'True'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'installation'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['pxetool.Profile']"}),
            'profile_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'profile_params': ('jsonfield.fields.JSONField', [], {'null': 'True'}),
            'smart_proxy': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['pxetool.SmartProxy']", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'uuid': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '36'})
        },
        'pxetool.installationfile': {
            'Meta': {'object_name': 'InstallationFile'},
            'content': ('django.db.models.fields.TextField', [], {}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'install': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'files'", 'to': "orm['pxetool.Installation']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'})
        },
        'pxetool.installlog': {
            'Meta': {'ordering': "('created',)", 'object_name': 'InstallLog'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'logs'", 'to': "orm['pxetool.Installation']"}),
            'status_from': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'status_to': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'pxetool.logfile': {
            'Meta': {'ordering': "('-pk',)", 'object_name': 'LogFile'},
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'log_file'", 'to': "orm['pxetool.Installation']"}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'pxetool.profile': {
            'Meta': {'object_name': 'Profile'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initrd': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'profile_fields': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'profiles'", 'symmetrical': 'False', 'to': "orm['pxetool.ProfileField']"})
        },
        'pxetool.profileaction': {
            'Meta': {'unique_together': "(('profile', 'action'),)", 'object_name': 'ProfileAction'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'actions'", 'to': "orm['pxetool.Profile']"}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '20'})
        },
        'pxetool.profilefield': {
            'Meta': {'object_name': 'ProfileField'},
            'field': ('django.db.models.fields.CharField', [], {'default': "'CharField'", 'max_length': '50'}),
            'field_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'params': ('jsonfield.fields.JSONField', [], {}),
            'visible_in': ('django.db.models.fields.CharField', [], {'default': "'None'", 'max_length': '12'}),
            'widget': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True'})
        },
        'pxetool.puppetmaster': {
            'Meta': {'object_name': 'PuppetMaster'},
            'ca_content': ('django.db.models.fields.TextField', [], {}),
            'cert_content': ('django.db.models.fields.TextField', [], {}),
            'hostname': ('django.db.models.fields.CharField', [], {'default': "'localhost'", 'max_length': '255', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key_content': ('django.db.models.fields.TextField', [], {}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '8140'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'Ok'", 'max_length': '5'}),
            'version': ('django.db.models.fields.CharField', [], {'default': "'v1'", 'max_length': '2'})
        },
        'pxetool.smartproxy': {
            'Meta': {'object_name': 'SmartProxy'},
            'hostname': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '22'}),
            'pxetool_url': ('django.db.models.fields.CharField', [], {'default': "'http://localhost:8000'", 'max_length': '2048'}),
            'tftpboot': ('django.db.models.fields.CharField', [], {'default': "'/var/lib/tftpboot'", 'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'default': "'root'", 'max_length': '64'})
        }
    }

    complete_apps = ['pxetool']