from django import template
from django.conf import settings

register = template.Library()


@register.filter
def url_proto(value):
    host_res = settings.MIRROR_REGEX.match(value)
    if host_res:
        return host_res.group('url_proto')
    return ''


@register.filter
def url_hostname(value):
    host_res = settings.MIRROR_REGEX.match(value)
    if host_res:
        return host_res.group('url_hostname')
    return ''


@register.filter
def url_path_name(value):
    host_res = settings.MIRROR_REGEX.match(value)
    if host_res:
        return host_res.group('url_path_name')
    return ''
