$(document).ready ->
  # detect for safari browser
  is_safari = ->
    navigator.userAgent.toLowerCase().indexOf('safari/') > -1

  # csrf generator for post
  get_cookie = (name) ->
    cookieValue = null
    if document.cookie && document.cookie != ''
      cookies = document.cookie.split(';')
      for cookie in cookies
        if cookie.substring(0, name.length + 1) == (name + '=')
          cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
          break
    cookieValue

  # Host Group
  $('#hostGroupSelector a').click (e) ->
    if this.id == "add_new_group"
      return
    e.preventDefault()
    $(this).tab('show')
    if ! is_safari()  # safari doesn't work properly with onpopstate event
      path = encodeURIComponent($(this).attr('aria-controls'))
      window.history.pushState(path, "Title", "/category/#{path}")

  $(".delete-group").click (e) ->
    e.preventDefault()
    group_id = $(this).parents('.tab-pane').data('id')
    $('body').append """
      <form action="/group/#{group_id}/delete" method="post" id="deletegroup">
      <input type="hidden" value="#{get_cookie('csrftoken')}" name="csrfmiddlewaretoken">
    """
    $('#deletegroup').submit()


  # Show Host Group
  $('#HostTabSelector').find('li a').click (e) ->
    e.preventDefault()
    $(this).tab('show')

  # History control
  if ! is_safari()  # safari doesn't work properly with onpopstate event
    window.onpopstate = (e) ->
      console.log("Onpopstate")
      hg = $("#hostGroupSelector")
      state = e.state
      if ! state
        state = $("#hostGroupSelector > li:first > a:first").attr('aria-controls')
      hg.find("li").removeClass("active")
      hg.find("a[aria-controls='#{state}']").parent().addClass("active")
      $(".tab-content").find(".tab-pane").hide()
      $("##{state}").show()

  # Function to add checked host to submit list
  # and show then on page
  hosts_checked = []
  hosts_list = (checkbox) ->
    checkbox_id = "selected_hosts_#{checkbox.value}"
    if checkbox.checked and hosts_checked.indexOf(checkbox_id) == -1
      hosts_checked.push(checkbox_id)
      # add host id to form
      $('<input />', {
        id: "input_#{checkbox_id}",
        name: "hosts[]",
        value: checkbox.value,
        type: "hidden"
      }).appendTo("#hostsForm")
      # adding "host_group / hostname" to list
      $('<li />', {
          id: checkbox_id,
          html: "#{$(checkbox).data('group')} / #{$(checkbox).data('hostname')}"
      }).appendTo('#selected_hosts')
    else
      hosts_checked.splice(hosts_checked.indexOf(checkbox_id), 1)
      $("##{checkbox_id}").remove()
      $("#input_#{checkbox_id}").remove()

  # Select single host on click
  $(".checkbox-host").click ->
    hosts_list(this)

  # Select all hosts in Host Group
  $('.select-all-hosts').click (e) ->
    e.preventDefault()
    checked_counter = 0
    checked_value = true
    checkboxes = $(this).parents('table').find('input:checkbox.checkbox-host')
    checkboxes_count = checkboxes.length
    # count all checked hosts
    for i in [0..checkboxes_count-1]
      if checkboxes[i].checked
        checked_counter++
    # if all hosts are already checked uncheck all then
    if checked_counter == checkboxes_count
      checked_value = false
    checkboxes.each ->
      $(this).prop('checked', checked_value)
      hosts_list(this)

  # Abort installation(s) button
  $("#btnAbort").click ->
    $('.hosts-form').attr('action', '/host/abort').submit()

  # Delete host(s) button
  $('#btnDelete').click ->
    $('.hosts-form').attr('action', '/host/delete').submit()

  # Handler for driver_name in Host Form
  $('#power-tabs a').click ->
    name = $(this).attr('aria-controls')
    console.log(name)
    $('#id_driver_name').val(name)
    $("#PowerTabDown").text("Power Control: " + name)

  #####  RUN AFTER DOCUMENT READY #####
  # set default title for driver_name
  $("#PowerTabDown").text("Power Control: " + $('#id_driver_name').val())

  $("#show_profile").click (e) ->
    e.preventDefault()
    $('#profile_modal').modal({
        show: true
    })

  # After hosts loaded find and add all checked hosts
  for checkbox in $('.checkbox-host:checked')
    hosts_list(checkbox)

  # set default pxetool_url when creating create smart_proxy
  if window.location.pathname == '/smart-proxy/'
    url = document.URL.replace(window.location.pathname, '')
    $('#id_pxetool_url').val(url)
