from django import template
from django.core.urlresolvers import reverse_lazy
register = template.Library()


@register.inclusion_tag('modal.html')
def show_modal(title, url, form_name, *args, **kwargs):
    from pxetool_ui import forms
    if hasattr(forms, form_name):
        form = getattr(forms, form_name)
    else:
        form = None
    modal_name = kwargs['modal_name'] if 'modal_name' in kwargs else title
    modal_name_trigger = kwargs['modal_name_trigger'] \
        if 'modal_name_trigger' in kwargs else title

    return {
        'title': title,
        'modal_name': modal_name,
        'modal_name_trigger': modal_name_trigger,
        'url': reverse_lazy(url),
        'form': form,
    }
